TextValidator(3pm)

NAME
Wx::Perl::TextValidator - Perl replacement for wxTextValidator

SYNOPSIS
    my $storage = '';
    my $validator1 = Wx::Perl::TextValidator->new( '\d', \$storage );
    my $validator2 = Wx::Perl::TextValidator->new( '[abcdef]' );
    my $validator3 = Wx::Perl::TextValidator->new( qr/[a-zA-Z]/ );

    my $textctrl = Wx::TextCtrl->new( $parent, -1, "", $pos, $size, $style,
                                      $validator1 );

DESCRIPTION
A "Wx::Validator" subclass that allows filtering user input to a "Wx::TextCtrl".

METHODS
    my $validator1 = Wx::Perl::TextValidator->new( $regexp, \$storage );
    my $validator2 = Wx::Perl::TextValidator->new( $regexp );

Constructs a new "Wx::Perl::Validator". The first argument must be a regular expression matching a single-character string and is used to validate the field contents and user input. The second argument, if present, is used in TransferDataToWindow/TransferDataToWindow as the source/destination for the fields contents.

  The first argument can be a string as well as a reqular expression
object created using C<qr//>.